/*
 * Copyright The OpenTelemetry Authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import { TracerProvider } from '@opentelemetry/api';
import { MeterProvider } from '@opentelemetry/api-metrics';
import { InstrumentationBase } from './platform';
import { Instrumentation } from './types';
import {
  NodePlugins,
  NodePluginsTracerConfiguration,
  OldClassPlugin,
} from './types_plugin_only';

export type InstrumentationOption =
  | typeof InstrumentationBase
  | typeof InstrumentationBase[]
  | Instrumentation
  | Instrumentation[]
  | NodePluginsTracerConfiguration
  | OldClassPlugin
  | OldClassPlugin[];

export interface AutoLoaderResult {
  instrumentations: Instrumentation[];
  pluginsNode: NodePlugins;
  pluginsWeb: OldClassPlugin[];
}

export interface AutoLoaderOptions {
  instrumentations?: InstrumentationOption[];
  tracerProvider?: TracerProvider;
  meterProvider?: MeterProvider;
}
